View Issue Details

IDProjectCategoryView StatusLast Update
0025692PatchesIDEpublic2014-02-14 18:23
ReporterMario Ray Mahardhika Assigned ToZeljan Rikalo  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi386-linuxOSKubuntu 32-bit 
Product Version1.3 (SVN) 
Target Version1.2.0Fixed in Version1.3 (SVN) 
Summary0025692: Cannot paste from source editor between lazarus instance
DescriptionI open two lazarus instances, trying to copy code snippets from one instance to another through the source editor. However, upon paste, I get empty string. I tried experimenting using 3rd party text editor and found out that paste works fine. Copying from the 3rd party text editor to the target lazarus instance also works. Conclusion:

copy text from lazarus 1 -> paste to lazarus 2 => doesn't work
copy text from lazarus 1 -> paste to 3rd party text editor -> paste to lazarus 2 => works
Steps To Reproduce1. open 2 lazarus instances
2. copy some text from first instance
3. paste to the second instance
TagsNo tags attached.
Fixed in Revision43961
LazTarget1.2
WidgetsetQT
Attached Files

Relationships

related to 0015425 closedZeljan Rikalo Lazarus Paste to QT edit control adds an extra null char 

Activities

Zeljan Rikalo

2014-02-08 10:57

developer   ~0072920

hm...yes, even in between two apps with TSynEdit it does not work.

Zeljan Rikalo

2014-02-09 11:22

developer   ~0072959

Please test and close if ok.

Issue History

Date Modified Username Field Change
2014-02-08 07:24 Mario Ray Mahardhika New Issue
2014-02-08 10:57 Zeljan Rikalo LazTarget => -
2014-02-08 10:57 Zeljan Rikalo Note Added: 0072920
2014-02-08 10:57 Zeljan Rikalo Assigned To => Zeljan Rikalo
2014-02-08 10:57 Zeljan Rikalo Status new => assigned
2014-02-09 11:18 Zeljan Rikalo Relationship added related to 0015425
2014-02-09 11:22 Zeljan Rikalo Fixed in Revision => 43961
2014-02-09 11:22 Zeljan Rikalo Note Added: 0072959
2014-02-09 11:22 Zeljan Rikalo Status assigned => resolved
2014-02-09 11:22 Zeljan Rikalo Resolution open => fixed
2014-02-09 11:23 Zeljan Rikalo LazTarget - => 1.2
2014-02-09 11:23 Zeljan Rikalo Fixed in Version => 1.3 (SVN)
2014-02-09 11:23 Zeljan Rikalo Target Version => 1.2.0
2014-02-14 18:23 Mario Ray Mahardhika Status resolved => closed